Update Answer Library entry
Update an Answer Library entry.
curl --request PATCH \
--url https://api.vanta.com/v1/knowledge-base/answer-library/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"expirationDate": "2025-12-31T00:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}
'import requests
url = "https://api.vanta.com/v1/knowledge-base/answer-library/{id}"
payload = {
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"expirationDate": "2025-12-31T00:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
answer: 'Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.',
expirationDate: '2025-12-31T00:00:00.000Z',
tags: [{categoryId: '507f1f77bcf86cd799439011', tagId: '507f1f77bcf86cd799439013'}]
})
};
fetch('https://api.vanta.com/v1/knowledge-base/answer-library/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439031",
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"expirationStatus": "CURRENT",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041",
"displayName": "Alex Rivera"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"lastUpdated": "2024-10-12T16:08:42.000Z",
"lastVerified": "2024-12-01T09:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
The question text.
"Do you encrypt customer data at rest?"
The answer text.
"Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS."
The actor to assign as owner. Pass null to clear. Currently only type
"User" is supported.
Show child attributes
Show child attributes
The expiration date in ISO 8601 format. Pass null to clear.
"2025-12-31T00:00:00.000Z"
Tags to associate with the entry. Replaces the existing tag set. Pass
[] to clear all tags. Discover valid categoryId and tagId values
via GET /v1/customer-trust/tag-categories (to list categories) and
GET /v1/customer-trust/tag-categories/{tagCategoryId} (to list tags
within a category).
Show child attributes
Show child attributes
Response
Ok
CURRENT, EXPIRED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
